<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="net.lumicomm.android.lumicomm"
    android:versionCode="1"
    android:versionName="1.0.0" >

    <uses-sdk
        android:minSdkVersion="23"
        android:targetSdkVersion="27" />

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:required="true" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:required="true" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature
        android:name="android.hardware.camera.any"
        android:required="true" />
    <uses-feature
        android:name="android.hardware.camera.autofocus"
        android:required="false" />

    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.USB_PERMISSION" />

    <uses-feature
        android:name="android.hardware.usb.host"
        android:required="true" />
    <uses-feature
        android:name="android.hardware.bluetooth_le"
        android:required="true" />

    <application
        android:allowBackup="true"
        android:debuggable="true"
        android:icon="@drawable/icon2"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme" >
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.splash.SplashActivity"
            android:label="@string/app_name"
            android:theme="@style/TransparentStatusBarAppTheme" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.login.LoginActivity"
            android:label="@string/action_login"
            android:theme="@style/AppThemeWhiteStatusBar" />
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.introduction.IntroductionActivity"
            android:label="@string/Introduction_screen"
            android:theme="@style/TransparentStatusBarAppTheme" />
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.register.RegisterActivity"
            android:label="@string/action_register"
            android:theme="@style/AppThemeWhiteStatusBar" />
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.main.MainActivity"
            android:label=""
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.led_Feeds.LedFeeds"
            android:label=""
            android:screenOrientation="portrait"
            android:theme="@style/AppThemeWhiteStatusBar" />
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.user_feeds.UserFeedsActivity"
            android:label=""
            android:screenOrientation="portrait"
            android:theme="@style/AppThemeWhiteStatusBar" />
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.enable_audio.EnableActivity"
            android:theme="@style/AppThemeEnableActivity" />
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.upload_content.UploadContentActivity"
            android:theme="@style/AppTheme.NoActionBar"
            android:windowSoftInputMode="stateVisible|adjustResize" />

        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="com.lumicomm.android.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true" >
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <activity
            android:name="net.lumicomm.android.lumicomm.ui.region_details.RegionActivity"
            android:label="@string/txt_region"
            android:theme="@style/AppThemeWhiteStatusBar" />
        <activity
            android:name="net.lumicomm.android.lumicomm.ui.nearby_places.NearbyPlacesActivity"
            android:label=""
            android:screenOrientation="portrait"
            android:theme="@style/AppThemeWhiteStatusBar" >
        </activity>

        <service
            android:name="com.oledcomm.soft.androidlifisdk.v4.BluetoothLeService"
            android:enabled="true" />
        <service
            android:name="com.oledcomm.soft.androidlifisdk.v5.USBHIDService"
            android:enabled="true" />
    </application>

</manifest>